Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.texen.util
Class FileUtil

    java.lang.Object
      |
      +--org.apache.velocity.texen.util.FileUtil

public class FileUtil
extends java.lang.Object

A general file utility for use in the context

Version:
  $Id: FileUtil.java,v 1.9 2001/10/22 03:53:27 jon Exp $
Author:
  Leon Messerschmidt, Jason van Zyl

Constructor Summary
`FileUtil()`

Method Summary
`static java.io.File` | `file(java.lang.String s)` A method to get a File object.
`static java.io.File` | `file(java.lang.String base, java.lang.String s)` A method to get a File object.
`static java.lang.String` | `mkdir(java.lang.String s)` Creates the directory s (and any parent directories needed).

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### FileUtil

    public FileUtil()

Method Detail

### mkdir

    public static java.lang.String mkdir(java.lang.String s)

  Creates the directory s (and any parent directories needed).
  Parameters:
    `String` - path/directory to create.
    `String` - report of path/directory creation.

### file

    public static java.io.File file(java.lang.String s)

  A method to get a File object.
  Parameters:
    `String` - path to file object to create.
  Returns:
    File created file object.

### file

    public static java.io.File file(java.lang.String base,
                                    java.lang.String s)

  A method to get a File object.
  Parameters:
    `String` - base path
    `String` - file name
  Returns:
    File created file object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.